Bug 244266 - yppasswdd does not propogate changes
yppasswdd does not propogate changes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ypserv (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 15:16 EDT by Ed Friedman
Modified: 2008-06-16 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Network trace (3.12 MB, application/x-bzip2)
2007-06-20 17:26 EDT, Ed Friedman
no flags Details

  None (edit)
Description Ed Friedman 2007-06-14 15:16:56 EDT
Description of problem:
yppasswdd does not propogate changes

Version-Release number of selected component (if applicable):
ypserv-2.19-4.fc7

How reproducible:
Always

Steps to Reproduce:
1.Run ypserv and yppasswdd on the computer that is server for nis
2.Run yppasswd from client machine and change an individual's 
3.Try ssh'ing to any machine on network
  
Actual results:
You can only login with the old password

Expected results:
You should be able to login with the new password

Additional info:
If you restart ypserv, then you can login with the new password and not the old one.
Comment 1 Steve Dickson 2007-06-16 09:45:45 EDT
On the client side, could you please post a bzip2 binary network
trace? Something similar to 
    'tshark -w /tmp/yp.pcap host <server> ; bzip2 /tmp/yp.cap'

(Note: you might have to 'yum install wireshark' to get tshark)
Comment 2 Ed Friedman 2007-06-20 17:26:51 EDT
Created attachment 157499 [details]
Network trace

Here is the network trace you asked for.
Comment 3 Steve Dickson 2007-07-20 13:06:43 EDT
well I don't see anything intesting in the trace... 
Are there any failures at all in /var/log/messages?
Comment 4 Ed Friedman 2007-07-20 13:35:27 EDT
When I changed my password from a yp client, on the yp server's
/var/log/messages the following showed up:

Jul 20 12:30:19 ellison rpc.yppasswdd[2256]: update ed (uid=1157) from host
128.135.149.27 successful.

However, when I try to ssh to any machine on our network, it only accepts the
old password and not the new one that I entered with yppasswd.

Nothing showed up in /var/log/messages for the client.
Comment 5 Steve Dickson 2007-07-20 14:26:33 EDT
Yeah... I see that entry too.. but the password is
chaned every time... 

I did my testing in loopback (i.e. on the same machine),
let me rework the tests... 
Comment 6 Ed Friedman 2007-07-20 15:38:23 EDT
Also, we are using ipV4, not ipV6.  I understand that ypserv now is reachable by
broadcast only in ipV6.
Comment 7 Steve Dickson 2007-07-24 10:12:10 EDT
WRT Comment 6, switch the order of udp/tcp and udp6/tcp6 in 
/etc/netconfig. udp/tcp needs to come first. Something
like:
--- /etc/netconfig.orig   2005-05-18 01:10:50.000000000 -0400
+++ /etc/netconfig    2007-07-24 09:45:40.000000000 -0400
@@ -10,10 +10,10 @@
 # The <device> and <nametoaddr_libs> fields are always empty in this
 # implementation.
 #
-udp6       tpi_clts      v     inet6    udp     -       -
-tcp6       tpi_cots_ord  v     inet6    tcp     -       -
 udp        tpi_clts      v     inet     udp     -       -
 tcp        tpi_cots_ord  v     inet     tcp     -       -
+udp6       tpi_clts      v     inet6    udp     -       -
+tcp6       tpi_cots_ord  v     inet6    tcp     -       -
 rawip      tpi_raw       -     inet      -      -       -
 local      tpi_cots_ord  -     loopback  -      -       -
 unix       tpi_cots_ord  -     loopback  -      -       -

That will take care of the broadcast problem.... Also
please let me know if it has any effect on yppasswdd
not propogating changes...

~                                                               
Comment 8 Ed Friedman 2007-07-24 17:41:20 EDT
I made that change to /etc/netconfig, rebooted the server, and still cannot see
the broadcast on the clients.
Comment 9 Thomas J. Baker 2007-09-05 15:53:29 EDT
I just had the same problem on an RHEL5 system. In my case it was an selinux
problem not allowing yppasswdd to run pwupdate.
Comment 10 Ed Friedman 2007-09-05 16:16:04 EDT
In my case selinux is disabled.
Comment 11 Bug Zapper 2008-05-14 09:05:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 21:35:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.